-- Knights_Society_Convert_Projects
-- Author: jason
-- DateCreated: 12/11/2021 10:00:18 AM
--------------------------------------------------------------

INSERT OR IGNORE INTO Types (Type, Kind)
SELECT 'PROJECT_JGP_CONVERT_'||BuildingType, 'KIND_PROJECT'
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO Projects (ProjectType, Name, Shortname, Description, Cost, PrereqDistrict)
SELECT 'PROJECT_JGP_CONVERT_'||BuildingType, 'LOC_PROJECT_JGP_CONVERT_'||BuildingType||'_NAME', 'LOC_PROJECT_JGP_CONVERT_'||BuildingType||'_NAME', 'LOC_PROJECT_JGP_CONVERT_'||BuildingType||'_DESCRIPTION', Cost/2, PrereqDistrict
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO Project_BuildingCosts (ProjectType, ConsumedBuildingType)
SELECT 'PROJECT_JGP_CONVERT_'||a.BuildingType, b.BuildingType
FROM Buildings a, Buildings b
WHERE (a.PurchaseYield='YIELD_FAITH' AND a.EnabledByReligion=1) AND (b.PurchaseYield='YIELD_FAITH' AND b.EnabledByReligion=1) AND a.BuildingType != b.BuildingType;

INSERT OR IGNORE INTO Projects_XP2 (ProjectType, CreateBuilding, UnlocksFromEffect)
SELECT 'PROJECT_JGP_CONVERT_'||BuildingType, BuildingType, 1
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers (ModifierId, ModifierType)
SELECT 'MOD_JGP_ALLOW_CONVERT_TO_'||BuildingType, 'MODIFIER_PLAYER_ALLOW_PROJECT'
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments (ModifierId, Name, Value)
SELECT	'MOD_JGP_ALLOW_CONVERT_TO_'||BuildingType, 'ProjectType', 'PROJECT_JGP_CONVERT_'||BuildingType
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId)
SELECT 'MOD_JGP_ATTACH_CONVERT_TO_'||BuildingType, 'MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 'CITY_FOLLOWS_RELIGION_REQUIREMENTS'
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO ModifierArguments (ModifierId, Name, Value)
SELECT	'MOD_JGP_ATTACH_CONVERT_TO_'||BuildingType, 'ModifierId', 'MOD_JGP_ALLOW_CONVERT_TO_'||BuildingType
FROM Buildings
WHERE PurchaseYield='YIELD_FAITH' AND EnabledByReligion=1;

INSERT OR IGNORE INTO BeliefModifiers (BeliefType, ModifierId)
SELECT a.BeliefType, 'MOD_JGP_ATTACH_CONVERT_TO_'||c.BuildingType
FROM BeliefModifiers a, Buildings c
WHERE a.ModifierId IN (SELECT ModifierId FROM Modifiers WHERE ModifierType='MODIFIER_PLAYER_RELIGION_ADD_RELIGIOUS_BUILDING') 
	AND c.BuildingType IN (SELECT BuildingType FROM Buildings WHERE EnabledByReligion = 1)
	AND LTRIM(c.BuildingType, 'BUILDING') = LTRIM(a.BeliefType, 'BELIEF');

INSERT OR IGNORE INTO Buildings_XP2	(BuildingType, Pillage)
VALUES ('BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3', 0);