-- Knights_Society_Promotions
-- Author: jason
-- DateCreated: 5/2/2021 3:08:24 PM
--------------------------------------------------------------

/*
Chaplain (Ancient Era) - Gain +1 [ICON_GreatProphet] Great Prophet and [ICON_GreatGeneral] Great General Points per turn. Apostles gain the Orator promotion. Cities with a Shrine building grant +1 [ICON_TradeRoute] trade route capacity if there is not already a Market or Lighthouse building in the city.
Sergeant (Medieval Era) - Unlocks the Temple of Solomon, which replaces the Temple. +25% [ICON_Production] Production in this city toward land military units. This Holy Site district generates [ICON_Gold] Gold equal to its [ICON_Faith] Faith adjacency bonus.
Noble Knight (Industrial Era) - +5% Faith and Gold per Military Policy Card in your Government if you have constructed at least one Temple of Solomon. Gain one additional Military Policy Slot.
Grand Master (Atomic Era) - Apostles gain the Proselytizer promotion. Land combat units gain one free promotion. You immediately earn a fifth belief in your founded religion.
*/

INSERT OR IGNORE INTO GovernorPromotionModifiers
		(GovernorPromotionType,								ModifierId)
VALUES	('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_1',		'MOD_JGP_KNIGHTS_OF_SOLOMON_1_PROPHET_POINTS'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_1',		'MOD_JGP_KNIGHTS_OF_SOLOMON_1_GENERAL_POINTS'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_1',		'MOD_JGP_KNIGHTS_OF_SOLOMON_1_APOSTLE_ORATOR'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_1',		'MOD_JGP_KNIGHTS_OF_SOLOMON_1_ATTACH_TO_SHRINES'),

		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_2',		'MOD_JGP_KNIGHTS_OF_SOLOMON_2_TEMPLE_OF_SOLOMON'),
		
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_3',		'MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_ALLOW'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_3',		'MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_3',		'MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_CREATE'),

		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_4',		'MOD_JGP_KNIGHTS_OF_SOLOMON_4_APOSTLE_PROSELYTIZER'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_4',		'MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_ATTACH_TO_CITIES'),
		('GOVERNOR_PROMOTION_JGP_KNIGHTS_OF_SOLOMON_4',		'MOD_JGP_KNIGHTS_OF_SOLOMON_4_ADD_BELIEF');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,															RunOnce,	Permanent,	OwnerRequirementSetId,					SubjectRequirementSetId)
VALUES	('MOD_JGP_KNIGHTS_OF_SOLOMON_1_PROPHET_POINTS',						'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS',							0,			0,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_GENERAL_POINTS',						'MODIFIER_PLAYER_ADJUST_GREAT_PERSON_POINTS',							0,			0,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_APOSTLE_ORATOR',						'MODIFIER_PLAYER_UNITS_GRANT_PROMOTION',								0,			1,			NULL,									'REQSET_JGP_UNIT_IS_RELIGIOUS'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_ATTACH_TO_SHRINES',					'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',								0,			0,			NULL,									'REQUIREMENTS_CITY_HAS_TIER1_HOLY_BUILDING'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_SHRINE_TRADE_ROUTE',					'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY',							0,			0,			'REQSET_JGP_CITY_NO_OTHER_TRADE_BLDG',	NULL),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_2_TEMPLE_OF_SOLOMON',					'MODIFIER_PLAYER_ADJUST_VALID_BUILDING',								0,			0,			NULL,									NULL),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT',						'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',				0,			0,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_FAITH',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',					0,			0,			NULL,									'REQSET_JGP_PLAYER_HAS_TEMPLE_SOLOMON'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_GOLD',					'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',					0,			0,			NULL,									'REQSET_JGP_PLAYER_HAS_TEMPLE_SOLOMON'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_CREATE',						'MODIFIER_JGP_PLAYER_DISTRICTS_ATTACH_MODIFIER',						0,			1,			NULL,									'REQSET_JGP_GOV_PLAZA'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_GRANT_DUMMY',						'MODIFIER_SINGLE_CITY_GRANT_BUILDING_IN_CITY_IGNORE',					1,			1,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_ALLOW',						'MODIFIER_PLAYER_ADJUST_VALID_BUILDING',								0,			0,			NULL,									NULL),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_ATTACH_TO_CITIES',	'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',								0,			0,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_WITH_HOLYSITE',		'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS',					0,			1,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_APOSTLE_PROSELYTIZER',				'MODIFIER_PLAYER_UNITS_GRANT_PROMOTION',								0,			1,			NULL,									'REQSET_JGP_UNIT_IS_RELIGIOUS'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_PROMO_MILITARY',						'MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE',							0,			1,			NULL,									NULL),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_ADD_BELIEF',							'MODIFIER_PLAYER_ADD_BELIEF',											1,			1,			'REQSET_JGP_RELIGION_IS_FULL',			NULL);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,														Name,						Value)
VALUES	('MOD_JGP_KNIGHTS_OF_SOLOMON_1_PROPHET_POINTS',						'GreatPersonClassType',		'GREAT_PERSON_CLASS_PROPHET'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_PROPHET_POINTS',						'Amount',					1),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_GENERAL_POINTS',						'GreatPersonClassType',		'GREAT_PERSON_CLASS_GENERAL'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_GENERAL_POINTS',						'Amount',					1),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_APOSTLE_ORATOR',						'PromotionType',			'PROMOTION_ORATOR'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_SHRINE_TRADE_ROUTE',					'Amount',					1),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_1_ATTACH_TO_SHRINES',					'ModifierId',				'MOD_JGP_KNIGHTS_OF_SOLOMON_1_SHRINE_TRADE_ROUTE'),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_2_TEMPLE_OF_SOLOMON',					'BuildingType',				'BUILDING_JGP_TEMPLE_OF_SOLOMON'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_2_TEMPLE_OF_SOLOMON',					'BuildingTypeToReplace',	'BUILDING_TEMPLE'),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT',						'GovernmentSlotType',		'SLOT_MILITARY'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_FAITH',				'YieldType',				'YIELD_FAITH'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_FAITH',				'Amount',					5),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_GOLD',					'YieldType',				'YIELD_GOLD'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_GOLD',					'Amount',					5),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_CREATE',						'ModifierId',				'MOD_JGP_KNIGHTS_OF_SOLOMON_3_GRANT_DUMMY'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_GRANT_DUMMY',						'BuildingType',				'BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_ALLOW',						'BuildingType',				'BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_3_DUMMY_ALLOW',						'BuildingTypeToReplace',	'BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3'),

		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_ATTACH_TO_CITIES',	'ModifierId',				'MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_WITH_HOLYSITE'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_MILITARY_PROMO_WITH_HOLYSITE',		'AbilityType',				'ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_APOSTLE_PROSELYTIZER',				'PromotionType',			'PROMOTION_PROSELYTIZER'),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_PROMO_MILITARY',						'Amount',					-1),
		('MOD_JGP_KNIGHTS_OF_SOLOMON_4_ADD_BELIEF',							'Amount',					1);

INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,								RequirementSetType)
VALUES	('REQSET_JGP_PLOT_HAS_APOSTLE',					'REQUIREMENTSET_TEST_ANY'),
		('REQSET_JGP_UNIT_IS_RELIGIOUS',				'REQUIREMENTSET_TEST_ANY'),
		('REQSET_JGP_PLAYER_HAS_TEMPLE_SOLOMON',		'REQUIREMENTSET_TEST_ALL'),
		('REQSET_JGP_CITY_NO_OTHER_TRADE_BLDG',			'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_CITY_HAS_TIER1_HOLY_BUILDING',	'REQUIREMENTSET_TEST_ANY'),
		('REQSET_JGP_GOV_PLAZA',						'REQUIREMENTSET_TEST_ALL'),
		('REQSET_JGP_HAS_FOUNDED_RELIGION',				'REQUIREMENTSET_TEST_ALL');	

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
VALUES	('REQSET_JGP_PLOT_HAS_APOSTLE',				'REQ_JGP_ADJACENT_APOSTLE'),
		('REQSET_JGP_UNIT_IS_RELIGIOUS',			'REQ_JGP_UNIT_IS_MISSIONARY'),
		('REQSET_JGP_UNIT_IS_RELIGIOUS',			'REQ_JGP_UNIT_IS_APOSTLE'),
		('REQSET_JGP_UNIT_IS_RELIGIOUS',			'REQ_JGP_UNIT_IS_INQUISITOR'),
		('REQSET_JGP_PLAYER_HAS_TEMPLE_SOLOMON',	'REQ_JGP_TEMPLE_OF_SOLOMON'),
		('REQSET_JGP_GOV_PLAZA',					'REQ_JGP_DISTRICT_IS_GOV_PLAZA'),
		('REQSET_JGP_HAS_FOUNDED_RELIGION',			'REQUIRES_PLAYER_HAS_FOUNDED_A_RELIGION');

INSERT OR IGNORE INTO RequirementSetRequirements (RequirementSetId, RequirementId)
SELECT	'REQSET_JGP_CITY_NO_OTHER_TRADE_BLDG',		'REQ_JGP_NO_'||BuildingType
FROM	BuildingModifiers
WHERE	(ModifierId IN (SELECT ModifierId FROM Modifiers WHERE ModifierType = 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY')) AND (BuildingType IN (SELECT BuildingType FROM Buildings WHERE IsWonder=0 AND Cost<150));

INSERT OR IGNORE INTO RequirementSetRequirements (RequirementSetId, RequirementId)
SELECT		'REQUIREMENTS_CITY_HAS_TIER1_HOLY_BUILDING', 'REQ_JGP_CITY_HAS_'||BuildingType
FROM		Buildings
WHERE		(PrereqDistrict='DISTRICT_HOLY_SITE') AND (BuildingType NOT IN (SELECT Building FROM BuildingPrereqs));

INSERT OR IGNORE INTO Requirements
		(RequirementId,						RequirementType)
VALUES	('REQ_JGP_ADJACENT_APOSTLE',		'REQUIREMENT_PLOT_ADJACENT_FRIENDLY_UNIT_TYPE_MATCHES'),
		('REQ_JGP_UNIT_IS_MISSIONARY',		'REQUIREMENT_UNIT_TYPE_MATCHES'),
		('REQ_JGP_UNIT_IS_APOSTLE',			'REQUIREMENT_UNIT_TYPE_MATCHES'),
		('REQ_JGP_UNIT_IS_INQUISITOR',		'REQUIREMENT_UNIT_TYPE_MATCHES'),
		('REQ_JGP_TEMPLE_OF_SOLOMON',		'REQUIREMENT_PLAYER_HAS_BUILDING'),
		('REQ_JGP_DISTRICT_IS_GOV_PLAZA',	'REQUIREMENT_DISTRICT_TYPE_MATCHES');

INSERT OR IGNORE INTO Requirements (RequirementId, RequirementType, Inverse)
SELECT	'REQ_JGP_NO_'||BuildingType,		'REQUIREMENT_CITY_HAS_BUILDING', 1
FROM	BuildingModifiers
WHERE	(ModifierId IN (SELECT ModifierId FROM Modifiers WHERE ModifierType = 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY')) AND (BuildingType IN (SELECT BuildingType FROM Buildings WHERE IsWonder=0 AND Cost<150));

INSERT OR IGNORE INTO Requirements (RequirementId, RequirementType)
SELECT		'REQ_JGP_CITY_HAS_'||BuildingType, 'REQUIREMENT_CITY_HAS_BUILDING'
FROM		Buildings
WHERE		(PrereqDistrict='DISTRICT_HOLY_SITE') AND (BuildingType NOT IN (SELECT Building FROM BuildingPrereqs));

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,						Name,				Value)
VALUES	('REQ_JGP_ADJACENT_APOSTLE',		'UnitType',			'UNIT_APOSTLE'),
		('REQ_JGP_ADJACENT_APOSTLE',		'IncludeCenter',	1),
		('REQ_JGP_UNIT_IS_MISSIONARY',		'UnitType',			'UNIT_MISSIONARY'),
		('REQ_JGP_UNIT_IS_APOSTLE',			'UnitType',			'UNIT_APOSTLE'),
		('REQ_JGP_UNIT_IS_INQUISITOR',		'UnitType',			'UNIT_INQUISITOR'),
		('REQ_JGP_TEMPLE_OF_SOLOMON',		'BuildingType',		'BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3'),
		('REQ_JGP_DISTRICT_IS_GOV_PLAZA',	'DistrictType',		'DISTRICT_GOVERNMENT');

INSERT OR IGNORE INTO RequirementArguments (RequirementId, Name, Value)
SELECT	'REQ_JGP_NO_'||BuildingType, 'BuildingType', BuildingType
FROM	BuildingModifiers
WHERE	(ModifierId IN (SELECT ModifierId FROM Modifiers WHERE ModifierType = 'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY')) AND (BuildingType IN (SELECT BuildingType FROM Buildings WHERE IsWonder=0 AND Cost<150));

INSERT OR IGNORE INTO RequirementArguments (RequirementId, Name, Value)
SELECT		'REQ_JGP_CITY_HAS_'||BuildingType, 'BuildingType', BuildingType
FROM		Buildings
WHERE		(PrereqDistrict='DISTRICT_HOLY_SITE') AND (BuildingType NOT IN (SELECT Building FROM BuildingPrereqs));

INSERT OR IGNORE INTO PolicyModifiers (PolicyType, ModifierId)
SELECT		PolicyType, 'MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_FAITH'
FROM		Policies
WHERE		GovernmentSlotType='SLOT_MILITARY';

INSERT OR IGNORE INTO PolicyModifiers (PolicyType, ModifierId)
SELECT		PolicyType, 'MOD_JGP_KNIGHTS_OF_SOLOMON_3_MILITARY_SLOT_GOLD'
FROM		Policies
WHERE		GovernmentSlotType='SLOT_MILITARY';

INSERT OR IGNORE INTO UnitAbilities
		(UnitAbilityType,										Inactive)
VALUES	('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		1);

INSERT OR IGNORE INTO UnitAbilityModifiers
		(UnitAbilityType,										ModifierId)
VALUES	('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'MOD_JGP_KNIGHTS_OF_SOLOMON_4_PROMO_MILITARY');

INSERT OR IGNORE INTO TypeTags
		(Type,													Tag)
VALUES	('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_RECON'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_MELEE'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_RANGED'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_SIEGE'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_HEAVY_CAVALRY'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_LIGHT_CAVALRY'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_RANGED_CAVALRY'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_ANTI_CAVALRY'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_HEAVY_CHARIOT'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_LIGHT_CHARIOT'),
		('ABILITY_JGP_KNIGHTS_OF_SOLOMON_PROMO_MILITARY',		'CLASS_WARRIOR_MONK');

-- Create Dummy Building to activate Promotion 3

INSERT OR IGNORE INTO Buildings	(BuildingType,						Name,												Description,												Cost,	PrereqDistrict,				InternalOnly,	MustPurchase)
VALUES					('BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3', 'LOC_BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3_NAME', 'LOC_BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3_DESCRIPTION',	1000,	'DISTRICT_GOVERNMENT',		0,				1);

INSERT OR IGNORE INTO	BuildingConditions (BuildingType,				UnlocksFromEffect)
VALUES					('BUILDING_JGP_DUMMY_KNIGHTS_OF_SOLOMON_3',		1);

INSERT OR IGNORE INTO DynamicModifiers	(ModifierType, CollectionType, EffectType)
VALUES							('MODIFIER_JGP_PLAYER_DISTRICTS_ATTACH_MODIFIER', 'COLLECTION_PLAYER_DISTRICTS', 'EFFECT_ATTACH_MODIFIER');

-- Create Full Religion RequirementSet: 'REQSET_JGP_RELIGION_IS_FULL'

INSERT OR IGNORE INTO RequirementArguments (RequirementId, Name, Value)
SELECT 'REQ_JGP_RELIGION_HAS_'||BeliefType, 'BeliefType', BeliefType
FROM Beliefs
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO Requirements (RequirementId, RequirementType)
SELECT 'REQ_JGP_RELIGION_HAS_'||BeliefType, 'REQUIREMENT_PLAYER_FOUNDED_RELIGION_WITH_BELIEF'
FROM Beliefs
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO RequirementSetRequirements (RequirementSetId, RequirementId)
SELECT 'REQSET_JGP_RELIGION_HAS_'||BeliefClassType, 'REQ_JGP_RELIGION_HAS_'||BeliefType
FROM Beliefs
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO RequirementSets (RequirementSetId, RequirementSetType)
SELECT 'REQSET_JGP_RELIGION_HAS_'||BeliefClassType, 'REQUIREMENTSET_TEST_ANY'
FROM BeliefClasses
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO RequirementArguments (RequirementId, Name, Value)
SELECT 'REQ_JGP_RELIGION_HAS_'||BeliefClassType, 'RequirementSetId', 'REQSET_JGP_RELIGION_HAS_'||BeliefClassType
FROM BeliefClasses
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO Requirements (RequirementId, RequirementType)
SELECT 'REQ_JGP_RELIGION_HAS_'||BeliefClassType, 'REQUIREMENT_REQUIREMENTSET_IS_MET'
FROM BeliefClasses
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO RequirementSetRequirements (RequirementSetId, RequirementId)
SELECT 'REQSET_JGP_RELIGION_IS_FULL', 'REQ_JGP_RELIGION_HAS_'||BeliefClassType
FROM BeliefClasses
WHERE BeliefClassType NOT IN ('BELIEF_CLASS_PANTHEON');

INSERT OR IGNORE INTO RequirementSets (RequirementSetId, RequirementSetType)
VALUES ('REQSET_JGP_RELIGION_IS_FULL', 'REQUIREMENTSET_TEST_ALL');